# This file supplies some default data new concerto installs require
# Populating and configuring admin user/group and the date/time feed

INSERT INTO `feed` (`id`, `name`, `group_id`, `type`, `dynamic_id`, `description`) VALUES (1, 'System Time & Date', 0, 2, NULL, '');
INSERT INTO `content` (`id`, `name`, `user_id`, `content`, `mime_type`, `type_id`, `duration`, `start_time`, `end_time`, `submitted`) VALUES (1, 'System Time & Date', 0, 'D m\\/d h:i A ', 'text/time', 1, 30000, NULL, NULL, '0000-00-00 00:00:00');
INSERT INTO `feed_content` (`feed_id` ,`content_id` ,`moderation_flag` ,`moderator_id` ,`duration` ,`display_count` ,`yesterday_count`)VALUES ('1', '1', '1', '0', '30000', '0', '0');
INSERT INTO `group` (`id`, `name`) VALUES (0, 'System Administrator');
UPDATE `group` SET `id` = 0 WHERE `id` = 1;
INSERT INTO `page_category` (`id`, `path`, `name`, `layout`, `default_page`) VALUES (0, 'docs', 'Documents', 'docs_layout.php', 2);
INSERT INTO `type` (`id`, `name`) VALUES (1, 'Text'), (2, 'Ticker'), (3, 'Graphics'), (4, 'Dynamic Data');
INSERT INTO `user` (`id`, `username`, `password`, `name`, `email`, `admin_privileges`, `allow_email`) VALUES (1, 'admin', '', 'System Administrator', 'admin@yoursite.com', 1, 0);
UPDATE `user` SET `id` = 0 WHERE `id` = 1;
INSERT INTO `user_group` (`user_id` ,`group_id`)VALUES ('0', '1');

##Optional Data....
## A sampling from our support center

INSERT INTO `page` (`id`, `page_category_id`, `name`, `content`, `user_id`, `timestamp`, `order`, `in_menu`, `get_feedback`) VALUES
(1, 0, 'Style Guide for Graphical Content', '<p>One of the most important elements of any Concerto display is the use of eye-catching, vivid images.  Graphics can take the form of event flyers, original artistic creations, or visual announcements.  But if you are submitting content that is graphical in nature, you''ll want to pay careful attention to the size, colors, fonts, and composition of your content.</p>\r\n<div style="float:left;margin-right:20px;"><img style="border:0px;" src="http://myrpi.org/concdocs/supported_types.gif" alt="" /></div>\r\n<p>Most graphical content on the average Concerto screen will appear in one or more designated "graphics" blocks on the screen.  These blocks are generally in a 4:3 aspect ratio (4" wide and 3" tall, or some multiple of that ratio).  That means that the recommended size for most graphical content should preserve these relative dimensions.  We recommend you stick to keeping your graphical flyers at <b>1280 pixels by 1024 pixels</b>, which is a common resolution of many computer monitors.  If you don''t stick to a 4:3 aspect ratio, Concerto displays will take the larger dimension and shrink the entire image to fit in each graphics block.  For this reason, you should avoid creating content that is really narrow or really tall.</p>\r\n<p>Concerto supports JPEG, PNG, and GIF images, as well as PDF documents.</p>\r\n<p><b>NOTE: It is important to keep these guidelines in mind, because moderators are more likely to deny your content submissions if your content does not adhere to them!</b></p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/1_1.jpg" alt="Stick to these guidelines with your graphical announcements for best results." />\r\n  <p>Stick to these guidelines with your graphical announcements for best results.</p>\r\n</div>\r\n<ul>\r\n<li><b>Use vivid, large images.</b>  Your content will be competing with all of the other stuff being shown on the screens of the Concerto network.  You will want to incorporate visually pleasing graphics that catch people''s eyes.</li>\r\n<li>Emphasize in a large, readable type face the most important content on the slide, such as the name of an event, club, or organization, or the time and place of an event.</li>\r\n<li>Use sans-serif fonts, such as Arial, Helvetica, and Verdana (as opposed to serif fonts such as Times New Roman or Garamond).  Stick to size 20pt font or higher.</li>\r\n<li>Refrain from using super-bright colors such as pure white, bright yellow, and hot pink. If you must to use a bright color, use it very sparingly.</li>\r\n<li>Do not use copyrighted content unless you get consent from the copyright holder. If you use fair-use materials, follow the terms of the copyright. If you can''t tell if something is copyrighted or not, don''t use it.</li>\r\n</ul>\r\n<h1>How Much Text is Too Much Text?</h1>\r\n<p>The average amount of time for which a single graphic is up on a Concerto display is 7 seconds.  In studying the effectiveness of different visual compositions over a period of time, we found this to be the ideal duration for each piece of content in order to maintain a balance between the amount of content a person will see as they pass by a display and the amount of time given to each individual message.  This means that you''re going to have to design your flyers in order to send your message completely within a few short seconds.</p>\r\n<p>Avoid lengthy blocks of text on all of your graphical flyers at all costs.  Try to emphasize the most important information on every flyer.  For instance, if you''re advertising a mixer hosted by your honors society, people should be able to clearly distinguish the name, date, time, and location for the event.  While you are free to add in other information and imagery to promote this event, no other text on the flyer should be emphasized over those basic details.</p>\r\n<h1>A Special Note About 8.5" x 11" Content</h1>\r\n<p>As stated above, it is strongly recommended that you stick to a 4:3 aspect ratio for all the graphical content you send to Concerto.  However, unlike other digital signage systems, Concerto can accept any aspect ratio of content.  That means that a flyer you make as a PDF or Word document for printing at 8.5 inches by 11 inches can still look fine on a Concerto display - it is just shrunken to fit into the 4:3 aspect ratio box for graphics, leaving extra margins to the left and right of the flyer.  If you submit content in this aspect ratio, it''s even more important for you to use text <i>sparingly</i>.  Cut out as much unneeded text as you can, and attempt to crop the flyer from its standard 8.5" x 11" size ratio.  The more you crop the height down, the better it will fill out the graphics space on Concerto displays when it is displayed.</p>  \r\n<h1>Templates</h1>\r\n<p>Creating content can be done using many different programs: Microsoft Powerpoint, Paint Shop Pro, Microsoft Word, and others.  We recommend, however, that if you have access to an Adobe content creation application, such as Photoshop, Illustrator, or InDesign, that you use of those to create new graphical content.  Below you will find a set of templates for these applications.  If you do not have any of these programs, five machines in the north portion of the VCC lobby the entire Adobe Creative Suite 3 installed.  Two are adjacent to the two flatbed scanners and three more are opposite those machines.</p>\r\n<p>If you will be using content you have not created yourself, we recommend using the templates to fit or crop the content to Concerto-friendly content.</p>\r\n<ul>\r\n<li><a href="http://myrpi.org/conctemplates/Concerto_PhotoshopTemplate.psd">Photoshop Template</a></li>\r\n<li><a href="http://myrpi.org/conctemplates/Concerto_IllustratorTemplate.ai">Illustrator Template</a></li>\r\n<li><a href="http://myrpi.org/conctemplates/Concerto_InDesignTemplate.indd">InDesign Template</a></li>\r\n</ul>\r\n', 1, '2008-12-11', 8, 1, 1),
(2, 0, 'Introducing Concerto', '<p>There''s a new way to share events and information with others throughout your organization.  You''re about to discover the simplicity, innovation, and effectiveness of Concerto, an Internet-based alternative to the high costs and limited appeal of traditional paper signs and banners that often flank thoroughfares.  If you''re responsible for promoting talks, conferences, or other events to your community, this guide will introduce you to how Concerto will make your life easier.  If you''re interested in improving the effectiveness of communication between the various groups in your organization, here you''ll learn how Concerto brings benefits to your entire organization through tighter information integration.  Welcome to effective, open-source digital signage for the 21st century.</p>\r\n<h1>Problem and Approach</h1>\r\n<p>Different groups in an organization generally suffer from a lack of effective means of communicating with each other.  Paper signage - banners and printed fliers - clutters up high-traffic corridors.  For maximum yield, event promoters often need to print hundreds of signs and spend time attaching them to walls and bulletin boards using tape, staples, and thumb tacks.  With the wind, weather, and cost of materials of traditional signage, the costs of these methods far outweigh the overall benefits.  Your organization may also be interested in using mass emails for notices.  Mass emails are like banging in a nail with a sledgehammer - overkill that is unavailable to most people without special permission. Concerto addresses all of these aforementioned problems using an innovative, thoughtful approach.</p>\r\n<p>The purpose of Concerto is to communicate events, announcements, and other information submitted by select people in your organization to the community through a variety of digital means.  This is primarily accomplished by presenting the events and announcements in a dynamic bulletin-board format on a large LCD screen.  <b>Integration with existing services, such as dining hall menus and event calendars is also dead simple - Concerto simply retrieves content from them.</b>  The content submission system, accessible to all members of your community with unique user accounts, is simply a web interface for uploading announcements and graphical materials to the system.  Content on each screen can be controlled by the people who are most directly connected to that display.  <b>For instance, a display sponsored by the Lally School of Management and Technology can be moderated by Lally staff directly.</p></b>\r\n\r\n<p>In recognition of the fact that different groups on different areas of campus have diverse interests, Concerto is designed to allow location-specific content.  Information tailored for a specific location is over other content for an individual screen.  Concerto on a display controlled by food service provider, for example, could show genera;l announcements and relevant events and also prominently feature food service-branded content, such as dining hall menus.  A display in the student center would likely focus on the communication of club- and student-related fliers and announcements.  And there are always other applications of location specificity for the system.  Imagine showing an estimated time of arrival for nearby shuttle buses only screens close to shuttle stops.</p>\r\n<h1>Feeds: Your Own Little Content Buffet</h1>\r\n<p>Feeds are the groups of content that you can choose from for your screen.  Think of each feed as a different food bar at your favorite buffet.  You''ve got huge helpings of information about clubs, an assortment of management and business colloquia, select notices from on-campus hospitality services, and a set of campus news updates to top it all off.  Sure, you could cram your plate full of lecture announcements, but you''ll get more out of the meal if you choose from a variety of different offerings.</p>\r\n<p>Each feed is formed to contain pieces of content that share a similar theme.  For example, events, meeting notices, and other advertisements from student clubs affiliated will belong to a different feed from lectures and academic colloquia.  Those who control each hardware screen within the Concerto system will be able to subscribe their displays to as many feeds as they wish.  They can also choose to display content from each of those feeds more or less frequently than content on other feeds; this is called <b>weighting</b>.  The system will automatically figure out how frequently to pull content out of particular feeds based on the weights set by the people who control each hardware display through the control panel.</p>', 3, '2009-03-30', 1, 0, 1),
(3, 0, 'Most Recent System Updates', '<h1>Version 1.8.2 (May 22, 2009)</h1>\r\n<p>Version 1.8.2 was mainly a bug fix release, catching up on a few small bugs we caught during the spring semester at RPI.  In addition, some of the code was cleaned up as we move towards the public release of the code.</p>\r\n<ol>\r\n<li>Login: Usernames are no longer case-sensitive</li>\r\n<li>Feed Asministration: Deleting a feed no longer crashes</li>\r\n<li>System API: API includes &lt;enclosure&gt; tag</li>\r\n\r\n<li>System API: User names are encoded better</li>\r\n</ol>\r\n<br />\r\n<h1>Version 1.8.1 (February 3, 2009)</h1>\r\n<p>The first update of 2009 includes several bug fixes and steps to streamline specific parts of the web-based Concerto Panel.</p>\r\n<h2>New Calendar for ''Add Content''</h2>\r\n<p>The date selection calendar in the ''Add Content'' area now looks a little different and highlights today''s date for convenience.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/14_16.jpg" alt="The calendar for picking start and end days has been modified." />\r\n  <p>The calendar for picking start and end days has been modified.</p>\r\n</div>\r\n<h2>New Template Select in ''Edit Screen''</h2>\r\n<p>For screen moderators, the ''Edit Screen'' page is more organized, making changing templates a lot easier and more intuitive.  Templates with aspect ratios that do not match the selected screen will not be shown.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/14_17.jpg" alt="''Edit Screen'' has been reorganized." />\r\n  <p>''Edit Screen'' has been reorganized.</p>\r\n</div>\r\n<h1>Version 1.8 (November 8, 2008)</h1>\r\n<p>You''re in for quite a treat. This update adds some incredibly useful UI enhancements and two key features.</p>\r\n<h2>Introducing the News Feed</h2>\r\n<p>You''ll find the first major feature added in this release as soon as you log into the Concerto Panel.  The News Feed tracks notifications about all major actions and events that are relevant to your user account.  You’ll find your News Feed updated when a message you add is denied or approved by a moderator.  When a new screen is deployed, you''ll hear about it.  When you or another user changes the settings of a screen, there will be another message waiting for you.  In addition, if a moderator gives you additional feedback about a piece of rejected or approved content, their message to you will be delivered in the News Feed.  This really is the hub of activity for your Concerto account.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/14_15.jpg" alt="The News Feed tracks notifications about content submissions, moderation, and other changes within the system." />\r\n  <p>The News Feed tracks notifications about content submissions, moderation, and other changes within the system.</p>\r\n</div>\r\n<p>While viewing the dashboard, you can expand your News Feed to view more items by clicking on the “View More” bar at the bottom of the News Feed box.  You can also view the News Feed on your account page (click the “My Account” link in the left sidebar from any page in the Control Panel).  Clicking the gray “View All” button will direct you to a series of pages listing out all of the notifications you have received to date.  Click the seek buttons in the upper right corner to navigate through your entire history.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/14_12.jpg" alt="These buttons allow you to skip back and forth between pages of your entire News Feed." />\r\n  <p>These buttons allow you to skip back and forth between pages of your entire News Feed.</p>\r\n</div>\r\n<h2>View Your Pending and Rejected Content</h2>\r\n<p>Now you can finally take a look at those of your messages that may have been rejected from all feeds.  More importantly, you can see all of your messages that are currently sitting in the moderation queue for one or more feeds.  Click the “My Account” link in the left sidebar to visit your account page.  There will be three tabs shown on your page, if you scroll down a little.  There''s “Approved,” “Denied,” and “Pending.”  Click the tabs to jump between these three sections for content listings.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/14_14.jpg" alt="Now you can see your <i>entire</i> history of contributions." />\r\n  <p>Now you can see your <i>entire</i> history of contributions.</p>\r\n</div>\r\n<h2>Moderation Messages</h2>\r\n<p>From now on, when a moderator clicks to Approve or Deny a piece of content, a confirmation window will pop up.  For the Approve case, the duration will be listed alongside a box for additional information.  For the Deny case, the moderator can select a reason for denying the content.  There is also a box for additional information here.  Users will see the reasoning and optional messages on their news feeds.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/14_13.jpg" alt="When a moderator denies content, he or she will now be asked for more information." />\r\n  <p>When a moderator denies content, he or she will now be asked for more information.</p>\r\n</div>\r\n<h2>Dynamic Text</h2>\r\n<p>Concerto now has a new type of data input: dynamic text, which will be extremely useful for those program coordinators looking to post building schedules or other content that should frequently be shown on Concerto screens.  This feature only applies to select groups of moderators.</p>\r\n<h2>Full List of Changes:</h2>\r\n<ol>\r\n<li>Dashboard and My Account: The News Feed and its accompanying controls have been added.</li>\r\n<li>System-wide: Dynamic Text has been enabled for select users.</li>\r\n<li>Add Content: The old tabs have been changed to rounded horizontal tabs.</li>\r\n<li>Add Content: When the user clicks the “Add another feed” link, a dialog box will pop up asking the user to confirm his or her intention to add a new feed.</li>\r\n<li>Add Content: A text message has been added when the user hovers the pointer over a feed name in the last select box of the page, which lists out the screens on which the selected feed is currently displayed.</li>\r\n<li>Add Content: The date selector control has been restyled.</li>\r\n<li>Add Content: There is now a 150-character limit to ticker text messages.</li>\r\n<li>Moderate: When a moderator approves or denies a message, a dialog box will pop up with additional options, including a select box for the reason the content was denied.</li>\r\n<li>Moderate: Below the title of a piece of content within its cell, you will see a list of any feeds to which that specific message has been approved.</li>\r\n<li>Browse Feeds: The list of feeds has been reorganized into three blocks: “normal” feeds, “restricted” feeds, and any “private” feeds unique to your particular user group.</li>\r\n<li>Browse Content: The “Active,” “Expired,” and “Declined” content listings are now organized with the same tabs interface that is shown on the Add Content page.</li>\r\n<li>Browse Feed Page: Active screens are now listed for a particular feed on that feed’s browse page.</li>\r\n</ol>\r\n<br />\r\n<h1>Version 1.7 (September 2, 2008)</h1>\r\n<p>Concerto’s first update for the 2008-09 academic year brings major enhancements to user interface, browser compatibility, and content feeds.  We hope that these refreshes make your experience with the Concerto Control Panel even better.</p>\r\n<h2>Feed Descriptions</h2>\r\n<p>The Add Content tab is now a little different.  When you select one or more feed(s) to which your content will be submitted, you’ll see a handy description about the types of content that belong in that block.  Hover your mouse over a feed title and take a look at its description!</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/14_11.jpg" alt="Each feed now has a description that gives you examples of what to place in it." />\r\n  <p>Each feed now has a description that gives you examples of what to place in it.</p>\r\n</div>\r\n<h2>A Simpler – Yet Just as Powerful – Dashboard</h2>\r\n<p>The dashboard you see when you log into Concerto now doesn’t show you a great big list of all of the Concerto displays, until you click the “+” button.  Expand and contract the list of details at will!</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/14_8.jpg" alt="The dashboard operational status area can now be expanded and contracted." />\r\n  <p>The dashboard operational status area can now be expanded and contracted.</p>\r\n</div>\r\n<h2>Get to Know Your Screens a Little Better</h2>\r\n<p>In Concerto 1.7, all physical screens have received updated icons that let you know at a glance if a display is online and showing content, offline, or “asleep.”  Most Concerto screens are configured to power off at a particular time of day set by their screen moderators and turn back on at another time every morning.  If a screen is asleep, you’ll see the icon update to reflect that power state!</p>\r\n<h2>A Leaner, Meaner Screens Listing</h2>\r\n<p>The screen listing page (hit the “Screens” tab at the top of the Concerto Control Panel) is now more compact, more rounded, and overall much more streamlined.  Check out the new power state icons for screens at a glance!</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/14_9.jpg" alt="The newly redesigned screens listing, showing off sleeping, online, and offline screens." />\r\n  <p>The newly redesigned screens listing, showing off sleeping, online, and offline screens.</p>\r\n</div>\r\n<h2>UI Reorganization</h2>\r\n<p>The Control Panel has been slightly reorganized for maximum efficiency.  There’s no longer a redundant “Feeds” tab, just the same great “Browse Content” tab from before.  The “My Account” tab has been removed; now, to access your account details, simply click your user icon in your user badge to the left of the screen whenever you’re logged into the Control Panel.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/14_10.jpg" alt="Click this area in the left menu to view your account details.  Note that your user icon is likely different." />\r\n  <p>Click this area in the left menu to view your account details.  Note that your user icon is likely different.</p>\r\n</div>\r\n<br /><br /><h1>Version 1.6.2 (July 28, 2008)</h1>\r\n<p>Concerto has been patched to fix a bug in which denied content from the moderation queue would still be approved and made active for a moderated feed.</p>', 1, '2008-12-11', 4, 1, 1),
(4, 0, 'Concerto Graphics Standards Toolkit', '<h1>Concerto provides the power to promote a strong brand identity alongside informative messages about on-campus happenings and services.  Concerto, too, has a brand identity that requires consistent use of common graphical elements.</h1>\r\n<p>Concerto has a unique brand identity that sets itself apart from other digital signage systems.  This page is your guide to Concerto printed graphic identity standards.  Outlined here are Concerto''s graphic identity standards related to wordmarks, colors, logos, and other graphic elements.  Here we also provide guidelines, downloadable files, and examples of the brand in action.</p>\r\n<p>These standards apply to all visual representations of Concerto, including websites, brochures, electronic communications, merchandise, and signage.</p>\r\n<h1>Logos</h1>\r\n<p>All logos and wordmarks are available as high-resolution JPEG images and as EPS scalable vector-graphic files.</p>\r\n<h2>White Background</h2>\r\n<img src="http://myrpi.org/concgraphics/conc_logowhitebg_sm.jpg" alt="Concerto Logo (White BG)" />\r\n<p><a href="http://myrpi.org/concgraphics/conc_logowhitebg.jpg">JPEG</a> | <a href="http://myrpi.org/concgraphics/conc_logowhitebg.eps">EPS</a></p>\r\n<h2>Blue Background (Vertical)</h2>\r\n<img src="http://myrpi.org/concgraphics/conc_logovertbluebg_sm.jpg" alt="Concerto Logo (Blue BG Vertical)" />\r\n<p><a href="http://myrpi.org/concgraphics/conc_logovertbluebg.jpg">JPEG</a> | <a href="http://myrpi.org/concgraphics/conc_logovertbluebg.eps">EPS</a></p>\r\n<br />\r\n<h1>Colors</h1>\r\n<p>Below are the official colors for Concerto publications, web sites, user interfaces, and other appearances of the Concerto brand.</p>\r\n<h2>Concerto Blue</h2>\r\n<div style="display:block; height:150px; width:150px; background:#006699; border:solid 1px #999;"></div>\r\n<p><b>Hex #</b> 006699, <b>C</b> 93 <b>M</b> 58 <b>Y</b> 18 <b>K</b> 2, \r\n<b>R</b> 0 <b>G</b> 102 <b>B</b> 153</p>\r\n<h1>Desktop Wallpapers</h1>\r\n<h2>Concerto Boot</h2>\r\n<img src="http://myrpi.org/concgraphics/concertoblue_wallpaper_sm.jpg" alt="Concerto Boot Wallpaper" />\r\n<p><a href="http://myrpi.org/concgraphics/concertoblue_1280x1024.jpg">1280 x 1024</a> | <a href="http://myrpi.org/concgraphics/concertoblue_1400x1050.jpg">1400 x 1050</a> | <a href="http://myrpi.org/concgraphics/concertoblue_1680x1050.jpg">1680 x 1050</a> | <a href="http://myrpi.org/concgraphics/concertoblue_1920x1200.jpg">1920 x 1200</a></p>\r\n<br />', 1, '2008-12-11', 14, 1, 0),
(5, 0, 'Controlling Screen Content', '<p>Concerto is a distributed digital signage system that allows organizations to directly manage physical display hardware that they may purchase or connect to the Concerto network.  Groups of individual Concerto users may be granted screen control privileges for specific screens in the system that they may own.  These users, known as <b>screen moderators</b>, can subscribe each screen they control to a different selection of content feeds.  This allows each individual Concerto display to potentially show a different set of messages simultaneously.</p>\r\n<p>Terms Mentioned in this Article:</p>\r\n<ul>\r\n  <li><b>Screen</b>: A physical display registered in the Concerto network, which would likely take the form of a flat panel television.</li>\r\n  <li><b>Screen Moderator</b>: A Concerto user belonging to a user group that has been given the express privilege of controlling the content and settings of a particular screen in the system.</li>\r\n  <li><b>Field</b>: A location on a screen''s template designated to display Concerto content in a particular format, such as graphics, ticker text, or HTML calendar listings.</li>\r\n  <li><b>Template</b>: A graphical layout displayed on a screen that is composed of a series of fields.  These can be easily changed by screen moderators.</li>\r\n  <li><b>Feed</b>: A subject-based category for content in Concerto (i.e. "Student Union" or "Union Bookstore").  Anybody with an RCS ID and password can submit content to most feeds; each feed is moderated by a particular group of users with special account privileges.</li>\r\n</ul>\r\n<p>For this tutorial, we''ll assume that you have moderation control over at least one Concerto screen in the network.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/19_1.png" alt="Click on the ''Screens'' tab to begin." />\r\n  <p>Click on the ''Screens'' tab to begin.</p>\r\n</div>\r\n<p id="s1">The first step to modifying screen details is to click on the Screens tab in the <a href="http://signage.rpi.edu/admin">Concerto Control Panel</a> once you''ve logged in with a valid username and password.  This will bring you to a visual list of all the screens currently registered with the Concerto network at RPI.  Find your screen in the list and click on its box.  This will take you to the main details page for this screen.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/19_2.jpg" alt="A view of the screen detail page." />\r\n  <p>A view of the screen detail page.</p>\r\n</div>\r\n<p>This page lists out some important technical information about the screen and the computer connected to it, such as the computer''s IP address, MAC address, and the screen resolution being output to the physical display.  In addition, there will be a status indicator, which signifies whether the screen is Online or Offline.  Concerto constantly communicates with each screen via the Internet and will report when the most recent successful communication was made between the main server and the screen''s Small Form Factor Computer (SFFC).  You will also be able to see a listing of each of the fields appearing on this screen and the individual feeds the screen will pull from for each field.  A field is simply a location on the screen contains Concerto content in particular formats, such as graphics or text.</p>\r\n<h1 id="s2">Basic Screen Settings</h1>\r\n<p>You can edit the settings for this screen by clicking the Edit Screen button at the top of the details page.  This will bring you to a page that will allow you to modify important details about this screen:</p>\r\n<ul>\r\n  <li>The text name of the screen</li>\r\n  <li>A label describing where the screen is physically located on campus</li>\r\n  <li>The graphical template displayed on the screen</li>\r\n  <li>Power settings for the screen, such as when the screen turns on and off</li>\r\n</ul>\r\n<p>The text fields should be self-explanatory, but one special area of particular importance is the template selector.  A list of all graphical templates available in the system will be shown with visual previews of how each template looks.  Each template will contain a different arrangement of fields, and they represent a variety of different screen resolutions.  Each template''s text name to the right of its preview should include an aspect ratio ("16x9") or a resolution ("1280x800").  It is important to try to match your choice of template to the native resolution of your screen and your desires for which types of content you might want to feature on the screen.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/19_3.jpg" alt="A closer look at the screen template selector." />\r\n  <p>A closer look at the screen template selector.</p>\r\n</div>\r\n<p>For example, some template may have designated fields for graphics, ticker text, the time and date, and text.  What this means is that a screen using this template will be able to show a graphical announcement, a ticker message, the current time and date, and HTML text content, such as the events calendar and building schedules for a building and other facilities on campus.  Other templates may only have spaces for graphics, ticker text, and the time and date.  In fact, a template may be available with just a large space for graphics!</p>\r\n<p><b>NOTE: You can see the current resolution of your screen by viewing its details page as described above!</b></p>\r\n<p>When you find the template you wish to use, simply activate the radio button next to its preview.  When you''re all finished changing these basic screen options, scroll down to the bottom of the page and click the Save Details button.</p>\r\n<h1 id="s3">Managing Screen Subscriptions</h1>\r\n<p>The real meat of the screen control interface can be found by clicking the Manage Subscriptions button on the main details page of the screen.  The page you''ll see now will show you a visual preview of your screen''s template broken down into boxes.  Each box represents a particular field in this template; you''ll see the text name of the field in the middle of the box within the screen preview.  Below the screen preview, you''ll see a set of panels with feed selection options.  Each panel shown corresponds to one of the fields shown in the screen preview.  In the example shown below, there is a time field, one for ticker text, one for graphics, and one for text.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/19_4.jpg" alt="An example of the <b>Manage Subscriptions</b> page for a screen.  Notice the different fields for time, ticker, text, and graphics." />\r\n  <p>An example of the <b>Manage Subscriptions</b> page for a screen.  Notice the different fields for time, ticker, text, and graphics.</p>\r\n</div>\r\n<p>In order to subscribe a particular field on your screen to one or more content feeds, look toward the bottom of the field box for a pull down list of all feeds available in the system.  Select a feed, then hit the Add button to tentatively add it to that field.  You can do this for as many or as few feeds as you wish to add.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/19_5.png" alt="Adding a new feed to a field." />\r\n  <p>Adding a new feed to a field.</p>\r\n</div>\r\n<p><b>NOTE: Feeds can contain multiple types of content, such as graphics, ticker text, and HTML text content.  If a field pulls from a particular feed, it will only pull the types of content that can fit into it.  For instance, if the student center feed only contains active graphic content, a ticker text field will not pull any content from it until ticker content becomes active in the Student Union feed.</b></p>\r\n<p><b>NOTE: Your feed subscriptions have not yet been saved until you scroll to the bottom of the subscriptions page and click the Save button!  This will save the changes you''ve made to the screen since the last save.  Make sure you do not navigate away from this page until you have saved your changes.</b></p>', 1, '2008-12-11', 9, 1, 1),
(7, 0, 'Users and User Groups', '<p>Concerto opens up digital signage to everyone at an organization, and does so due to a flexible <b>user</b> model that allows anyone in possession of a user identification and accompanying password.  However, users can also belong to <b>user groups</b>, many of which are based on organizations already in existence at the Institute.  New groups can be created by the Concerto team as requested.  The idea behind these groups is that particular sets of users should have controlling access over <b>screens</b> and <b>feeds</b> within Concerto.</p>\r\n<h1>When is the creation of a new user group suitable?</h1>\r\n<p>A new user group should only be necessary when that group is to have explicit control over one or more screens or feeds.  A screen is a physical display that displays Concerto content, and a feed is a category of content focused on a particular subject, such as multicultural student clubs.  For this reason, new user groups are rarely added to Concerto -- only when necessary -- and usually only when a new physical screen is purchased by members of that group or by a sponsoring organization.  If you feel that a new user group should be added to the system, feel free to contact your location Concerto team.</p>\r\n<p><b>NOTE: Each user group can administer many different screens and feeds, but each screen and each feed can only be controlled by a single user group.</b></p>\r\n<h1 id="s1">Adding and Removing Users Via the User Groups Page</h1>\r\n<p>To view the list of user groups, click the <b>User Groups</b> tab at the top of the Concerto Control Panel after logging in with your username and password.  This listing will also tell you how many members currently belong to each group.  You can click on the name of a group to view its page.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/21_1.png" alt="Viewing the page for the RPI TV user group." />\r\n  <p>Viewing the page for the RPI TV user group.</p>\r\n</div>\r\n<p>The page for a user group will list all of the users currently belonging to this group, as well as any feeds and screens the group currently controls.  You can click on these items to go to their respective pages to view their respective details and options.  If you are a member of this group, you should be able to see a few buttons at the top of the group page.  The first button is <b>Add User</b>.  By clicking this button, you''ll be presented with a long list of users, sorted by RCS ID, who have logged into Concerto to date.  Only those people who have logged into Concerto successfully at least once will be shown in this list.  To add a person from the list to your user group, find his or her RCS ID, select the row pertaining to that user, and click the <b>Add</b> button.  The user is now a member of your group.</p>\r\n<p><b>WARNING: Any user belonging to a particular user group can add and remove users to and from the group.  In addition, all members of a user group have full access privileges to control every screen and feed to which the group has rights.  For this reason, it is essential that you and all members of your user group understand not to add too many people to your group.  You should only add a person to your group when you have complete confidence that the person will act responsibly and respect your entire group''s intentions.</b></p>\r\n<p><b>NOTE: If your group has been accidentally deleted or fallen prey to mutiny as the result of one or more bad apples, don''t hesitate to email your Concerto team.</b></p>', 1, '2008-12-11', 10, 1, 1),
(9, 0, 'What are Feeds?', '<p><b>Feeds</b> are categories for content in Concerto, each of which contains messages of a similar type.  Feeds are the virtual bins into which users insert graphical and text-based flyers, announcements, bulletins, or other content.  Each feed is moderated by a group of privileged users (students, staff, faculty members, or some mix), who approve and deny messages submitted to the feed.</p>\r\n<h1>Let''s Clear Up Some Common Misconceptions...</h1>\r\n<ol>\r\n<li><b>Feeds are <i>not</i> always tied to specific locations.</b>  For example, the <i>Alumni House (Campus-wide)</i> feed is not just featured on screens within the Heffner Alumni House; rather, it is shared between some of the screens within the Concerto network.  There are a couple feeds specifically designed to only belong in a particular building.  These feeds are usually marked with the word "Internal."  An example is the <i>Lally School (Internal)</i> feed, which is only intended to be shown in the Pittsburgh Building.</li>\r\n<li><b>Not all feeds are meant for the same types of content.</b>  The <i>Lally School (Campus-wide)</i> feed is for management-related workshops, lectures, class bulletins, and other graphical and text-based messages, while the <i>Mueller Center Schedule</i> feed only contains the HTML schedule for the Mueller Center''s building hours.</li>\r\n<li><b>Some content may belong in more than one feed at a time, but only in rare cases.</b>  A multidisciplinary program between the Lally School of Management & Technology and the School of Humanities could belong in the <i>Lally School</i> feeds, the <i>Entrepreneurship</i> and the <i>Service & Community</i> feed.  In this case, that message could be submitted to all of those feeds and approved by each individual group of moderators for each feed.  But <b>we encourage Concerto users to only submit to one or two feeds tops for most cases</b>.</li>\r\n<li><b>Each feed is moderated by a different group of users.</b>  If you submit a message to three feeds, it''s possible that it may get approved for one, two, three, or none of those feeds.  It''s up to each individual group of moderators to determine if your message belongs in their feed.</li>\r\n<li><b>Some feeds are special.</b>  There are also a couple special feeds, including <i>Mueller Center Schedule</i>, that are only meant for HTML content from external sources and not for user-submitted messages.</li>\r\n</ol>\r\n<br />\r\n<h1>How Do Feeds Get on Concerto Screens?</h1>\r\n<p>Good question!  Concerto screens are each independent of one another, which means that every single screen could be showing a different feed if the people who own the screens prefer for that arrangement.  However, the beauty of the way Concerto works is that multiple screens can mesh content from multiple feeds together into a unique concoction.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/23_1.jpg" alt="Assigning weights to multiple content feeds, each of which contain different forms of messages." />\r\n  <p>Assigning weights to multiple content feeds, each of which contain different forms of messages.</p>\r\n</div>\r\n<p>The first thing to remember, as stated above, is that <b>each feed represents a unique type of message, not necessarily a location on campus</b>.  But the system is designed to promote the sharing of content feeds between the audiences most likely to care about those types of messages.  Like each feed, each physical Concerto display on campus is controlled by a group of privileged users.  These users could be building coordinators, students, or anyone else directly involved with the operation of that hardware.</p>\r\n<p>Screen moderators will pick and choose the feeds they wish to display on their screens and then assign weights to each feed based on which content categories they want to highlight more than others.  Because many feeds can contain graphics <i>and</i> text messages, screen moderators can select screen layouts that contain one or both kinds of content, and then choose to pull only graphics, only text, or both graphics and text from each individual feed.</p>', 1, '2008-12-11', 6, 1, 1),
(10, 0, 'Less Recent System Updates', '<h1>Version 1.6.1 (July 12, 2008)</h1>\r\n<h2>Moderation Enhancements</h2>\r\n<p>Moderators of content feeds can now choose to disapprove content that was previously approved by a moderator of that feed, and can also choose to re-approve content that was previously declined.  To view these controls, you must be logged into Concerto as a moderator of a feed.  Go to the feed''s <i>Browse Content</i> page, and expand an item''s details in either the feed''s "Active Content" listing or "Expired Content" to see the "Disapprove" link as shown below.  Click this link to move the content from its previous listing to "Declined Content."  It will be immediately removed from any active screens subscribed to your feed.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/14_6.jpg" alt="If you are a moderator of a feed, you can disapprove and re-approve any piece of content." />\r\n  <p>If you are a moderator of a feed, you can disapprove and re-approve any piece of content.</p>\r\n</div>\r\n<p>Likewise, the expanded details for each individual piece of content in that feed''s "Declined Content" listing will have a green "Approve" link next to its title.  Click this button to immediately make a piece of content active within your feed.</p>\r\n<h2>Support Center Feedback Form</h2>\r\n<p>One other enhancement in version 1.6.1 is a feedback form that we include on every page within this Support Center.  At the bottom of each page is a simple area in which you can select whether or not you found the page useful and provide suggestions for improving the resources offered.  We are interested to hear your feedback and will consider any recommendations you provide to us through this form.</p>\r\n<h1>Version 1.6 (June 12, 2008)</h1>\r\n<h2>A Beautiful New Look</h2>\r\n<p>We''ve pulled out all the stops for Concerto''s first major face-lift.  This latest set of changes brings more efficiency and polish to an already tight package.</p> \r\n<h2>Browse Content</h2>\r\n<p>The "View Content" tab has been replaced with "Browse Content," an elegant rethinking of the way you view content in Concerto''s many feeds.  Just click the tab and you''ll be greeted with a list of each feed currently active in Concerto, as well as a list of content types contained within this feed (graphics, ticker text, and so forth).</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/14_1.jpg" alt="The new <i>Browse Content</i> listing." />\r\n  <p>The new <i>Browse Content</i> listing.</p>\r\n</div>\r\n<p>Once you click on a content type, you''ll find the same useful information as before - which group controls the feed, how many items are waiting in the moderation queue, and what pieces of content are contained within the feed.  Yet you''ll see some special magic going on here.  This page will now show you feed content organized into two views: "Active" and "Expired."  If you moderate the feed being viewed, you can also view content that has been declined during the moderation process.  Click the text link headers to switch between these views.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/14_2.jpg" alt="Click on the link headers to switch between active and expired content." />\r\n  <p>Click on the link headers to switch between active and expired content.</p>\r\n</div>\r\n<p>The default view for content in the brand new listing is in collapsed list form, which will show you a mini preview of the item (or an icon for ticker text), the name, start and end dates, and the person who submitted the content to the system.  You can click any of these item rows to get an expanded details area, which will show you all the basic information about that content, as well as the duration for which it will remain on screen and a larger preview.  For graphical content, you can even click the larger preview to see it in full size!</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/14_3.jpg" alt="The new content listing gives you the content details you want to see faster, with a beautiful and stunning new look." />\r\n  <p>The new content listing gives you the content details you want to see faster, with a beautiful and stunning new look.</p>\r\n</div>\r\n<p>You can sort by content attributes in this list, which means that you will be able to rearrange the listing alphabetically by name or submitter, and chronologically by start or end date.</p> \r\n<h2>New Moderation View</h2>\r\n<p>For those of you who have moderation privileges for one or more feeds, a brand new moderation interface awaits.  This listing takes the awesome new content listing and expands each item requiring your moderator''s touch.  For each item, you can approve or deny it, and you can also change the time duration for which this piece of content will remain on screen as part of your feed every time it appears.  You have both power and functionality at the click of the mouse.  As with the content listing, you can click the preview of a piece of graphical content to receive a full-size view of it that seamlessly floats over your browser window.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/14_4.jpg" alt="The redesigned moderation interface gives feed moderators a cleaner, more consistent, and better organized means of approving and denying content." />\r\n  <p>The redesigned moderation interface gives feed moderators a cleaner, more consistent, and better organized means of approving and denying content.</p>\r\n</div>\r\n<h2>Fairer Weighting Algorithm</h2>\r\n<p>Version 1.6 of the Concerto software also incorporates a more sophisticated way of balancing content feeds.  This new algorithm also expands the number of weights you can assign to each feed subscribed to a particular field of your screen.  With this new change in place, content will be selected by each screen in a way that is more consistent with its weighting scheme.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/14_5.jpg" alt="There are now five choices for the weight of a particular feed." />\r\n  <p>There are now five choices for the weight of a particular feed.</p>\r\n</div>\r\n<br />\r\n<h1>Updates for April 23, 2008</h1>\r\n<p>Concerto has been updated with a few meaningful changes.  However, most of them are behind-the-scenes updates, so while you may not see many overt changes, they''re still important!</p>\r\n<h2>Custom Pages: Our Support Center Becomes Dynamic</h2>\r\n<p>For the first couple weeks of Concerto''s life, we were operating the Support Center with static pages.  We''re now out of the Stone Age with a system that allows us to more easily add to and edit the support documentation for Concerto that is on this site, so look forward to tighter help integration and new content soon.  While Concerto boasts a zero-training interface, we''re committed to ensuring that our documentation is strong in the future.</p>', 1, '2008-12-11', 5, 1, 0),
(11, 0, 'Concerto Terms of Use', '<p>All content submitted to Concerto remains the property of the person or organization that uploaded it.</p>\r\n<p>All users, by creating accounts and uploading content, certify that they have proper rights (or permission) to any wording or imagery utilized. Further, they certify that their content does not blatantly violate community standards of decency or vulgarity. Decisions made by moderators regarding content approval are final.</p>\r\n<p>The content of the Concerto system does not represent the policies or opinions of your organization.</p>', 1, '2008-12-11', 13, 1, 0);
INSERT INTO `page` (`id`, `page_category_id`, `name`, `content`, `user_id`, `timestamp`, `order`, `in_menu`, `get_feedback`) VALUES
(12, 0, 'Adding New Content', '<p>Adding new graphical or text-based messages to Concerto is the real bread and butter of the unique Concerto approach.  If you are able to log into the Concerto Panel, you can submit any message that meets the basic image and text requirements as outlined <a href="/admin/pages/show/docs/1">in our Style Guide</a>.  Here''s how you do it.</p>\r\n<p>Terms Mentioned in this Article:</p>\r\n<ul>\r\n  <li><b>Ticker Text</b>: A short (2-3 sentences) text announcement posted on Concerto.  These messages will appear in special areas of screens that include ticker areas, which will rotate through new ticker messages every 5+ seconds (much like with graphical messages).</li>\r\n  <li><b>Screen Moderator</b>: A Concerto user belonging to a user group that has been given the express privilege of controlling the content and settings of a particular screen in the system.</li>\r\n  <li><b>Feed</b>: A subject-based category for content in Concerto (i.e. "Student Center" or "Bookstore").  Anybody with an username and password can submit content to most feeds; each feed is moderated by a particular group of users with special account privileges.</li>\r\n</ul>\r\n<p>Once you log into the Concerto Panel at <a href="/">yoursite.com</a>, you''ll find a series of tabs at the top of the page.  Click the <b>Add Content</b> tab to get started adding new messages.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/27_1.jpg" alt="Click on the ''Add Content'' tab to begin." />\r\n  <p>Click on the <b>Add Content</b> tab to begin.</p>\r\n</div>\r\n<p>Once you get to the Add Content page, you''ll see two options to the left of the main box on the page entitled "Add Image."  You can select to either add an <i>image</i> (a graphical message), or <i>ticker text</i>.  Based on your selection, the form on the right will update accordingly.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/27_2.jpg" alt="Choose a button to the left of the Add Content form to either add an image or ticker text." />\r\n  <p>Choose a button to the left of the Add Content form to either add an image or ticker text.</p>\r\n</div>\r\n<h2>Adding Images</h2>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/27_3.jpg" alt="A shot of the file upload box for graphical messages." />\r\n  <p>A shot of the file upload box for graphical messages.</p>\r\n</div>\r\n<p>If you select to add a graphical message to Concerto, you''ll be presented with a box labeled "File to Upload."  Click the <b>Browse</b> button to select an image file on your computer.  You can add most major image formats, as well as PDFs or Powerpoint slides (for Powerpoint slides, only the first slide in your file will be grabbed as an image).  Refer to the <a href="/admin/pages/show/docs/1">Style Guide</a> for more guidelines.  Also add a text title that will refer to your message within the Concerto Panel.\r\n<h2>Adding Ticker Text</h2>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/27_4.jpg" alt="Enter 1-3 sentences for a ticker text message." />\r\n  <p>Enter 1-3 sentences for a ticker text message.</p>\r\n</div>\r\n<p>For text-based ticker messages, simply enter your message in the "Ticker Text" field.</p>\r\n<h2>Specifying Common Details</h2>\r\n<p>The rest of the details for a piece of content are exactly the same regardless of whether you''re adding an image or ticker text.  First, specify the start and end dates for when Concerto should start displaying your content and expire it.  <b>Please note that your content will only be displayed on screens over this date range if your content is approved by a Concerto moderator.</b>  When you click a date field or click the calendar icon to the right of the field, a mini calendar will pop up, allowing you to easily select a date.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/27_5.jpg" alt="A mini calendar will pop up for you to use when you click a date field." />\r\n  <p>A mini calendar will pop up for you to use when you click a date field.</p>\r\n</div>\r\n<p>By default, your content will last from 12:00 am on the Start Date until 11:59 pm on the End Date.  For example, for a workshop event that is occurring next Wednesday, you could fill in the Start Date to be the current day and the End Date to be next Wednesday.  If you would like to set the start and end times to something other than the defaults, simply click the links to the right of the Start and End Date boxes, labeled <b>Set a different start/end time</b>.</p>\r\n<p>The next step is to select a duration.  This is the amount of time your content, if approved, will appear on a screen before being rotated out for another message.  The default is 8 seconds, which we found to be a nice length to allow people to see your message and get to some others, too.  But you can request that the moderators of the feed to which you submit your content (more about that in a minute) allow a longer or short duration.  You can do this by clicking the link to the right of this box, labeled <b>Set a different duration</b>.  This will make a box appear where you can set your requested duration, as shown below.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/27_6.jpg" alt="Click the link to the right of the box to request a custom duration." />\r\n  <p>Click the link to the right of the box to request a custom duration.</p>\r\n</div>\r\n<h2>Selecting a Feed</h2>\r\n<p>The most important part of this process is selecting which <i>feed</i>, or content category, best suits your message.  You can read a whole lot more about these categories at <a href="/admin/pages/show/docs/23">this page</a>.  Click the list box to see all of the feeds to which you can submit your message.  Based on which feed you select, a different group of moderators will decide to either approve or deny your content for their category.  <b>Please do your best to select the feed to which your particular message best applies.</b>  When you hover over a feed''s name, you''ll see a brief description of the feed to the right, which will give you examples of content that belong in that feed.</p>\r\n<div class="tutelem">\r\n  <img src="http://myrpi.org/concdocs/27_7.jpg" alt="Hover your pointer over a feed''s name in the list box to see a brief description to the right." />\r\n  <p>Hover your pointer over a feed''s name in the list box to see a brief description to the right.</p>\r\n</div>\r\n<p>Once you''re all set, click the <b>Submit</b> button to send your message to Concerto!</p>', 1, '2008-12-11', 7, 1, 0);
